当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 15 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : [问题]ubuntu8.04下英语周报网站无法访问
帖子发表于 : 2008-05-23 10:53 

注册: 2007-03-27 12:29
帖子: 56
送出感谢: 0 次
接收感谢: 0 次
自动把家里的系统安装成ubuntu后,老婆用的也比较习惯,可是她是英语老师,经常访问英语周报网站,我用firefox3.0b5打不开,后来安装opera9.5b2也打不开,再后来又安装了epiphany和Konqueror都打不开,看来不是浏览器的问题了,在win下面都打开了,我的ubuntu没有防火墙,firefox也没有安装任何插件,请大家都试试这个网址www.ew.com.cn
看看你们在ubuntu8.04下面能不能打开,顺便回个贴,如果能告诉我问题的解决方法更加感谢。


_________________
扫描仪microtek x9800不能驱动;
cad格式qcad不支持;
其余都在ubuntu下面搞定。


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2008-05-23 11:27 

注册: 2007-03-08 19:12
帖子: 161
送出感谢: 0 次
接收感谢: 0 次
太牛了,我在ubuntu 8.04里也怎么都打开不了。同一局域网里面的windows就可以打开。


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2008-05-23 11:40 

注册: 2007-03-27 12:29
帖子: 56
送出感谢: 0 次
接收感谢: 0 次
我开始还以为是ie的问题,可是在win下面firefox也打开了。


_________________
扫描仪microtek x9800不能驱动;
cad格式qcad不支持;
其余都在ubuntu下面搞定。


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2008-05-23 11:46 
头像

注册: 2007-05-06 2:46
帖子: 15634
送出感谢: 0 次
接收感谢: 2
周报网nb


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2008-05-23 15:22 
头像

注册: 2006-03-25 10:36
帖子: 1233
送出感谢: 0 次
接收感谢: 0 次
像是微软家养的一样。

我尝试了一下,xp 下的firefox 可以浏览。


_________________
让自由的声音传传传传传传传传天下。。。
Spread the words of freedom.


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2008-05-23 17:53 
头像

注册: 2007-05-06 2:46
帖子: 15634
送出感谢: 0 次
接收感谢: 2
xp 下都可以浏览,

看看高手们能不能解

:roll:


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2008-05-23 22:34 
头像

注册: 2006-12-16 12:39
帖子: 402
地址: 广东省广州市
送出感谢: 0 次
接收感谢: 0 次
真奇怪为什么我的可以打开呢。.firefox3.0b5可以,opera5.0b1也可以


页首
 用户资料  
 
8 楼 
 文章标题 :
帖子发表于 : 2008-05-23 23:03 
头像

注册: 2006-11-17 23:02
帖子: 326
送出感谢: 0 次
接收感谢: 0 次
这个网站制作者有点NB


_________________
IBM T41-P4M 1.5G/1GB/40GB HDD/DVD/14.1TFT/IPW2100 & 10-100M
OS:Xubuntu 11.10
生活就是折腾
活在成都
使用update-rc.d管理Linux服务


页首
 用户资料  
 
9 楼 
 文章标题 :
帖子发表于 : 2008-05-24 0:07 
头像

注册: 2007-05-06 2:46
帖子: 15634
送出感谢: 0 次
接收感谢: 2
kg7726 写道:
真奇怪为什么我的可以打开呢。.firefox3.0b5可以,opera5.0b1也可以



在Ubuntu打开

:shock:


页首
 用户资料  
 
10 楼 
 文章标题 : 解决在Linux 2.6.18或更高版本中无法访问某些网站的问题
帖子发表于 : 2008-05-24 11:25 

注册: 2008-03-25 10:30
帖子: 8
送出感谢: 0 次
接收感谢: 0 次
这是由于 Linux 内核默认启用了 TCP 窗口缩放,而访问这些网站经过的某些设备不支持引起的,表现为超时或连接重置。

所以只要禁用 TCP 窗口缩放即可,即将
net.ipv4.tcp_window_scaling = 1

改为
net.ipv4.tcp_window_scaling = 0

可以用命令临时禁用 TCP 窗口缩放:
sysctl -w net.ipv4.tcp_window_scaling=0

或者写入 /etc/sysctl.conf,永久禁用 TCP 窗口缩放:
net.ipv4.tcp_window_scaling=0

以上引用:http://hi.baidu.com/hugang/blog/item/fccab01b8585ef1c8718bfd6.html


最后由 sschenri 编辑于 2008-05-24 11:54,总共编辑了 1 次

页首
 用户资料  
 
11 楼 
 文章标题 :
帖子发表于 : 2008-05-24 11:51 

注册: 2007-03-27 12:29
帖子: 56
送出感谢: 0 次
接收感谢: 0 次
太感谢楼上的朋友了,这个问题解决了,就要和家里的电脑上的win说拜拜了。老婆再也没有理由不用ubuntu了。


_________________
扫描仪microtek x9800不能驱动;
cad格式qcad不支持;
其余都在ubuntu下面搞定。


页首
 用户资料  
 
12 楼 
 文章标题 :
帖子发表于 : 2008-05-24 12:03 

注册: 2007-03-27 12:29
帖子: 56
送出感谢: 0 次
接收感谢: 0 次
顺便在问一下sschenri
禁用这个tcp缩放对系统有影响吗。


_________________
扫描仪microtek x9800不能驱动;
cad格式qcad不支持;
其余都在ubuntu下面搞定。


页首
 用户资料  
 
13 楼 
 文章标题 :
帖子发表于 : 2008-05-24 12:10 

注册: 2008-03-25 10:30
帖子: 8
送出感谢: 0 次
接收感谢: 0 次
从另外一篇文章看出这样的修改是2.6.17以前的内核的默认配置,而且就目前情况来看windows xp好像也是禁止了窗口缩放功能的。因此此处禁止无影响,但由于不能在我的ubuntu8.0.4里面验证下面的配置修改,所以一开始没有贴出下面的文章,一下可供参考。
Linux 2.6.17和更高内核中如何解决超时问题
由于最近在Linux 2.6.17和更高内核中对TCP窗口扩大设置进行了改变,所以当你连接到某些网站时可能会遇到一些问题。本文,我们将为大家介绍一种新的工作区解决超时问题。

首先让我为大家介绍一下这个问题的背景知识。

典型TCP数据包有一个最大窗口大小为64KB的窗口域。这在因特网发展初期,大部分系统都没有能力处理比这更大的数据,因此这个大小是足够的,但是对于现在的接入带宽应用来说,这已经太小了。

为了解决这个问题,1992年提出了一种称为窗口缩放的解决方案,它提供了一个额外的TCP窗口扩大选项,该选项包含一个8位的扩大因子。这个选项的值指定了窗口应该多大,它是由通过滑动几个比特的窗口大小值来实现的。例如,如果扩大因子设定为5,那么窗口大小应该移动5个比特或乘以32。

窗口扩大选项使TCP的窗口定义从16位增加到32位,这并不是通过修改TCP首部来实现的,TCP首部仍然使用16位,而是通过定义一个选项实现对16位的扩大操作来完成的。

在2.6.16和更早内核中默认扩大因子为0,所以没有增加窗口大小。在2.6.17内核中,扩大因子被设定为7。理想的情况下,这不会有什么问题。但实际上,一些“坏掉”的路由器会重写窗口缩放TCP选项——将扩大因子设定为0但是实际处理能力选项却没有改变。

本质上,这意味着有一些网站使用2.6.17和更高内核的系统将会连接不上。从内核开发人员的立场看他们会认为那些路由器是坏掉的需要进行替换。实际上,这些路由器在修理或替换前可能还可以继续使用好多年。

解决这个问题的一个方法是重新设置Linux内核的窗口缩放选项。虽然这不会修复坏掉的路由器,但是如果你正受到窗口缩放问题的影响,该方法可以使你的系统连接到远程站点。如果你不确定你是否有这方面的问题,可以通过执行下面的命令来测试:

echo 0 > /proc/sys/net/ipv4/tcp_default_win_scale

为了使设置永久生效,可以编辑/etc/sysctl.conf文件,添加下面一句:

Net.ipv4.tcp_default_win_scale=0

这将完全禁用窗口缩放功能,这将允许你连接到一些以前不能连接的站点。无论正确还是错误,内核开发人员拒绝恢复这个改变,因此使用该选项既可以禁用你自己的窗口缩放功能以回到2.6.17以前的默认设置,也可以连接到那些不能到达的站点并使他们确信因该查找并替换坏掉的路由器。


页首
 用户资料  
 
14 楼 
 文章标题 :
帖子发表于 : 2008-05-24 21:48 
头像

注册: 2007-05-06 2:46
帖子: 15634
送出感谢: 0 次
接收感谢: 2
学习了

谢谢分享


页首
 用户资料  
 
15 楼 
 文章标题 :
帖子发表于 : 2008-07-16 20:33 

注册: 2008-07-16 20:07
帖子: 3
送出感谢: 0 次
接收感谢: 0 次
这个网站我能打开
但是我却打不开www.mozilla.com等一班国外网站
用坛子里的各种办法都实验过了
还是不行
真是绝望


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 15 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:Bing [Bot] 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译